Package networkx :: Module utils

[frames | no frames]

## Module networkx.utils

Utilities for networkx package

Function Summary
| ``discrete_sequence`(n, **kwds)` Return sample sequence of length n from a given discrete distribution
| ``gsl_pareto_sequence`(n, **kwds)` Return sample sequence of length n from a Pareto distribution.
| ``gsl_poisson_sequence`(n, **kwds)` Return sample sequence of length n from a Poisson distribution.
| ``gsl_powerlaw_sequence`(n, **kwds)` Return sample sequence of length n from a power law distribution.
| ``gsl_uniform_sequence`(n, **kwds)` Return sample sequence of length n from a uniform distribution.
| ``is_list_of_ints`(intlist)` Return True if list is a list of ints.
| ``is_singleton`(obj)` Is string_like or not iterable.
| ``is_string_like`(obj)` Check if obj is string.
| ``iterable`(obj)` Return True if obj is iterable with a well-defined len()
| ``pareto_sequence`(n, **kwds)` Return sample sequence of length n from a Pareto distribution.
| ``powerlaw_sequence`(n, **kwds)` Return sample sequence of length n from a power law distribution.
| ``scipy_discrete_sequence`(n, **kwds)` Return sample sequence of length n from a given discrete distribution
| ``scipy_pareto_sequence`(n, **kwds)` Return sample sequence of length n from a Pareto distribution.
| ``scipy_poisson_sequence`(n, **kwds)` Return sample sequence of length n from a Poisson distribution.
| ``scipy_powerlaw_sequence`(n, **kwds)` Return sample sequence of length n from a power law distribution.
| ``scipy_uniform_sequence`(n)` Return sample sequence of length n from a uniform distribution.
| ``uniform_sequence`(n)` Return sample sequence of length n from a uniform distribution.

Variable Summary
`str` | `__author__` = `'Aric Hagberg (hagberg@lanl.gov)\nDan Schul...`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-06-15 08:30:40 -0600 (Wed, 15 Ju...`
`str` | `__revision__` = `'$Revision: 1029 $'`

Function Details

### discrete_sequence(n, **kwds)

Return sample sequence of length n from a given discrete distribution

distribution=histogram of values, will be normalized

### gsl_pareto_sequence(n, **kwds)

Return sample sequence of length n from a Pareto distribution.

### gsl_poisson_sequence(n, **kwds)

Return sample sequence of length n from a Poisson distribution.

### gsl_powerlaw_sequence(n, **kwds)

Return sample sequence of length n from a power law distribution.

### gsl_uniform_sequence(n, **kwds)

Return sample sequence of length n from a uniform distribution.

### is_list_of_ints(intlist)

Return True if list is a list of ints.

### is_singleton(obj)

Is string_like or not iterable.

### is_string_like(obj)

Check if obj is string.

### iterable(obj)

Return True if obj is iterable with a well-defined len()

### pareto_sequence(n, **kwds)

Return sample sequence of length n from a Pareto distribution.

### powerlaw_sequence(n, **kwds)

Return sample sequence of length n from a power law distribution.

### scipy_discrete_sequence(n, **kwds)

Return sample sequence of length n from a given discrete distribution

distribution=histogram of values, will be normalized

### scipy_pareto_sequence(n, **kwds)

Return sample sequence of length n from a Pareto distribution.

### scipy_poisson_sequence(n, **kwds)

Return sample sequence of length n from a Poisson distribution.

### scipy_powerlaw_sequence(n, **kwds)

Return sample sequence of length n from a power law distribution.

### scipy_uniform_sequence(n)

Return sample sequence of length n from a uniform distribution.

### uniform_sequence(n)

Return sample sequence of length n from a uniform distribution.

Variable Details

### __author__

  Type:
    `str`
  Value:

        '''Aric Hagberg (hagberg@lanl.gov)
        Dan Schult(dschult@colgate.edu)'''

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-06-15 08:30:40 -0600 (Wed, 15 Jun 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 1029 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net